#ifndef FS_GOAL
#define FS_GOAL

#include <OpenGL/gl.h>
#include <OpenGL/glu.h>
#include <GLUT/glut.h>
#include <math.h>
#include "FSVector.h"
#include "FSObject.h"
#include "FSTexture.h"
#include "FSPlane.h"
#include "ModelType.h"

class FSGoal : public FSObject
{
	private:
	
		ModelType model;
public:
	
	FSGoal(FSVector thePosition) {position = thePosition;}
	
	~FSGoal(){}
	
	void Load();
	void Unload();
	
	void Draw();
};

#endif 